%define api	1.0
%define major	0
%define oname	gst-rtsp-server

%define libname %mklibname gstrtspserver %{api} %{major}
%define girname %mklibname gstrtspserver-gir %{api}
%define develname %mklibname -d gstrtspserver

%bcond_with docs

Summary:	RTSP server library for the GStreamer framework
Name:		gstreamer1.0-rtsp-server
Version:	1.22.8
Release:	%mkrel 1
License:	LGPLv2+
Group:		System/Libraries
URL:		https://gstreamer.freedesktop.org/
Source0:  	https://gstreamer.freedesktop.org/src/%{oname}/%{oname}-%{version}.tar.xz
BuildRequires:	meson
BuildRequires:	gettext-devel
BuildRequires:	pkgconfig(gobject-introspection-1.0) >= %{version}
BuildRequires:	pkgconfig(gstreamer-plugins-base-1.0) >= %{version}

%ifarch %{valgrind_arches}
BuildRequires:	pkgconfig(valgrind)
%endif

%description
RTSP server based on GStreamer.

%package -n %{libname}
Summary:	RTSP server library for the GStreamer framework
Group:		System/Libraries

%description -n %{libname}
RTSP server based on GStreamer1.0.

%package -n %{develname}
Summary:	RTSP server library for the GStreamer framework
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}
Provides:	libgstrtspserver-devel = %{version}-%{release}

%description -n %{develname}
RTSP server based on GStreamer1.0.

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries

%description -n %{girname}
GObject Introspection interface description for %{name}.

%package -n gstreamer%{api}-rtspclientsink
Summary:	rtspclientsink plugin for gstreamer%{api}
Group:		Networking/Other

%description -n gstreamer%{api}-rtspclientsink
rtspclientsink is an element that uses RECORD to send streams to an
RTSP server.

%prep
%setup -q -n %{oname}-%{version}

%build
%meson \
	-Dexamples=disabled \
	-Dtests=disabled \
	-Ddoc=%{?with_docs:enabled}%{?!with_docs:disabled} \
	-Dpackage-name='%{_vendor} %{name} package' \
	-Dpackage-origin='https://www.%{_real_vendor}.org/'

%meson_build

%install
%meson_install

%files -n gstreamer%{api}-rtspclientsink
%license COPYING
%{_libdir}/gstreamer-1.0/libgstrtspclientsink.so

%files -n %{libname}
%license COPYING.LIB
%doc README AUTHORS
%{_libdir}/libgstrtspserver-%{api}.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/GstRtspServer-%{api}.typelib

%files -n %{develname}
%{_libdir}/libgstrtspserver-%{api}.so
%{_libdir}/pkgconfig/gstreamer-rtsp-server-%{api}.pc
%{_includedir}/gstreamer-%{api}/gst/rtsp-server
%{_datadir}/gir-1.0/GstRtspServer-%{api}.gir


%changelog
* Wed Dec 20 2023 ghibo <ghibo> 1.22.8-1.mga9
+ Revision: 2020087
- Update to release 1.22.8
- Update to release 1.22.5

* Sun May 21 2023 ghibo <ghibo> 1.22.3-1.mga9
+ Revision: 1957547
- Update to release 1.22.3

* Tue Jan 24 2023 wally <wally> 1.22.0-1.mga9
+ Revision: 1935709
- new version 1.22.0

* Sat Jan 14 2023 wally <wally> 1.21.90-1.mga9
+ Revision: 1933105
- new version 1.21.90

* Mon Dec 26 2022 wally <wally> 1.20.5-1.mga9
+ Revision: 1926959
- new version 1.20.5

* Sun Nov 20 2022 wally <wally> 1.20.4-1.mga9
+ Revision: 1909318
- new version 1.20.4

* Sat Jul 23 2022 wally <wally> 1.20.3-1.mga9
+ Revision: 1870400
- new version 1.20.3

* Sun May 08 2022 wally <wally> 1.20.2-1.mga9
+ Revision: 1856824
- new version 1.20.2

* Sun Apr 03 2022 wally <wally> 1.20.1-1.mga9
+ Revision: 1842447
- new version 1.20.1

* Sun Apr 03 2022 umeabot <umeabot> 1.18.5-2.mga9
+ Revision: 1841704
- Mageia 9 Mass Rebuild

* Sat Sep 18 2021 wally <wally> 1.18.5-1.mga9
+ Revision: 1745697
- new version 1.18.5 (mga#29452)

* Mon Apr 05 2021 wally <wally> 1.18.4-1.mga9
+ Revision: 1713708
- new version 1.18.4

* Mon Jan 18 2021 wally <wally> 1.18.3-1.mga8
+ Revision: 1672339
- new version 1.18.3

* Wed Dec 09 2020 wally <wally> 1.18.2-1.mga8
+ Revision: 1655025
- new version 1.18.2

* Sat Nov 21 2020 wally <wally> 1.18.1-1.mga8
+ Revision: 1648215
- new version 1.18.1

* Sun Sep 13 2020 wally <wally> 1.18.0-1.mga8
+ Revision: 1625907
- new version 1.18.0

* Fri Mar 13 2020 daviddavid <daviddavid> 1.16.2-3.mga8
+ Revision: 1556000
- switch to meson build system (GStreamer has given up on autotools...)

* Tue Feb 18 2020 umeabot <umeabot> 1.16.2-2.mga8
+ Revision: 1539275
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed Dec 04 2019 daviddavid <daviddavid> 1.16.2-1.mga8
+ Revision: 1464337
- new version 1.16.2

* Tue Sep 24 2019 daviddavid <daviddavid> 1.16.1-1.mga8
+ Revision: 1445555
- new version 1.16.1

* Thu Apr 25 2019 wally <wally> 1.16.0-1.mga7
+ Revision: 1395287
- new version 1.16.0

* Thu Oct 04 2018 daviddavid <daviddavid> 1.14.4-1.mga7
+ Revision: 1317570
- new version 1.14.4

* Tue Sep 18 2018 daviddavid <daviddavid> 1.14.3-1.mga7
+ Revision: 1259534
- new version: 1.14.3

* Sat Jul 21 2018 daviddavid <daviddavid> 1.14.2-1.mga7
+ Revision: 1244587
- new version: 1.14.2

* Mon May 21 2018 wally <wally> 1.14.1-1.mga7
+ Revision: 1231142
- new version 1.14.1

* Sun Mar 25 2018 wally <wally> 1.14.0-1.mga7
+ Revision: 1212136
- new version 1.14.0
- enable valgrind on all supported arches

* Sat Dec 16 2017 wally <wally> 1.12.4-1.mga7
+ Revision: 1182833
- new version 1.12.4

* Tue Sep 26 2017 wally <wally> 1.12.3-1.mga7
+ Revision: 1160015
- new version 1.12.3

* Tue Jul 25 2017 wally <wally> 1.12.2-1.mga7
+ Revision: 1130756
- new version 1.12.2

* Fri Feb 10 2017 ns80 <ns80> 1.10.3-1.mga6
+ Revision: 1085497
- new version 1.10.3

* Sun Jan 15 2017 wally <wally> 1.10.2-1.mga6
+ Revision: 1081801
- new version 1.10.2

* Fri Aug 19 2016 luigiwalser <luigiwalser> 1.8.3-1.mga6
+ Revision: 1047099
- 1.8.3

* Fri Jun 10 2016 luigiwalser <luigiwalser> 1.8.2-1.mga6
+ Revision: 1021005
- 1.8.2

* Fri Mar 25 2016 wally <wally> 1.8.0-1.mga6
+ Revision: 995267
- new version 1.8.0
- split out GI typelib from library pkg
- add pkg origin information

* Sun Mar 20 2016 wally <wally> 1.7.91-1.mga6
+ Revision: 993063
- new version 1.7.91
- new plugin gstreamer1.0-rtspclientsink

* Sun Jan 03 2016 luigiwalser <luigiwalser> 1.6.2-1.mga6
+ Revision: 918921
- 1.6.2
- rename to gstreamer1.0-rtsp-server in line with our naming convention

* Wed Oct 15 2014 umeabot <umeabot> 1.4.3-2.mga5
+ Revision: 740418
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 wally <wally> 1.4.3-1.mga5
+ Revision: 733838
- new version 1.4.3
- switch to gstreamer1.0
- drop python and vala bindigs

* Sat Sep 27 2014 tv <tv> 0.10.8-7.mga5
+ Revision: 726450
- rebuild for missing pythoneggs deps

* Fri Sep 26 2014 wally <wally> 0.10.8-6.mga5
+ Revision: 724897
- rebuild with new rpm-mageia-setup to generate requires for .typelib files

* Tue Sep 16 2014 umeabot <umeabot> 0.10.8-5.mga5
+ Revision: 679967
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.10.8-4.mga4
+ Revision: 505303
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.10.8-3.mga3
+ Revision: 352705
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 cjw <cjw> 0.10.8-2.mga3
+ Revision: 339092
- patch2: fix build with automake 1.13

* Wed Oct 03 2012 ovitters <ovitters> 0.10.8-1.mga3
+ Revision: 302671
- don't package .la files
- use mkrel macro
- Import from Mandriva

